/* TEXT COLORS
    ========================================================================== */

        .txt--text-color
        {
            color: $text-color!important;
        }

        .txt--black
        {
            color: $black;
        }

        .txt--gray-85
        {
            color: $gray-85;
        }

        .txt--gray-60
        {
            color: $gray-60;
        }

        .txt--white
        {
            color: $white;
        }
        
        .txt--red
        {
            color: $red;
        }

        .txt--green
        {
            color: $green;
        }

        .txt--positive
        {
            color: $positive!important;
        }

        .txt--blue-facebook
        {
            color: $blue-facebook;
        }

        .txt--energized
        {
            color: $energized;
        }


    /* BACKGROUND COLORS
    ========================================================================== */

        .bg--white
        {
            background-color: $white;
        }

        .bg--gray-00
        {
            background-color: $gray-00;
        }

        .bg--gray-10
        {
            background-color: $gray-10;
        }

        .bg--gray-15
        {
            background-color: $gray-15;
        }

        .bg--gray-20
        {
            background-color: $gray-20;
        }

        .bg--gray-60
        {
            background-color: $gray-60;
        }

        .bg--gray-85
        {
            background-color: $gray-85;
        }

        .bg--black
        {
            background-color: $black;
        }

        .bg--positive
        {
            background-color: $positive;
        }

        .bg--assertive
        {
            background-color: $assertive;
        }

        .bg--balanced
        {
            background-color: $balanced;
        }

        .bg--blue-very-light
        {
            background-color: $blue-very-light;
        }

        .bg--blue-light
        {
            background-color: $blue-light;
        }

        .bg--blue-dark
        {
            background-color: $blue-dark;
        }

        .bg--blue-darkish
        {
            background-color: $blue-darkish;
        }

        .bg--blue-darker
        {
            background-color: $blue-darker;
        }

        .bg--yellow-light
        {
            background-color: $yellow-light;
        }

        .bg--yellow
        {
            background-color: $yellow;
        }

        .bg--orange
        {
            background-color: $orange;
        }

        .bg--red-dark
        {
            background-color: $red-dark;
        }

        .bg--green-light
        {
            background-color: $green-light;
        }

        .bg--green
        {
            background-color: $green;
        }


    /*  TEXT ALIGNMENT
    ========================================================================== */

        .txt--left
        {
            text-align: left;
        }

        .txt--right
        {
            text-align: right;
        }

        .txt--center
        {
            text-align: center;
        }

        .txt--justify
        {
            text-align: justify;
            -webkit-hyphens:    auto;
            -moz-hyphens:       auto;
            hyphens:            auto;
        }


    /*  FONT WEIGHT
    ========================================================================== */

        .txt--light
        {
            font-weight: $font-weight-light;
        }

        .txt--regular
        {
            font-weight: $font-weight-regular;
        }

        .txt--medium
        {
            font-weight: $font-weight-medium;
        }

        .txt--bold
        {
            font-weight: $font-weight-bold;
        }


    /*  FONT SIZES
    ========================================================================== */

        small,
        .small
        {
            font-size: $body-font-size-small;
            line-height: $body-line-height-small;
        }

        medium,
        .medium
        {
            font-size: $body-font-size-medium;
            line-height: $body-line-height-medium;
        }